=== modified file '__init__.py'
--- __init__.py	2011-02-10 00:49:06 +0000
+++ __init__.py	2011-02-10 01:00:32 +0000
@@ -151,7 +151,8 @@
         def run(self, filename):
             from bzrlib.plugins.loggerhead.loggerhead import load_test
             script = load_test.run_script(filename)
-            for worker,_  in script._threads.itervalues():
+            for thread_id in sorted(script._threads):
+                worker = script._threads[thread_id][0]
                 for url, success, time in worker.stats:
                     self.outf.write(' %5.3fs %s %s\n'
                                     % (time, str(success)[0], url))

=== added directory 'load_test_scripts'
=== added file 'load_test_scripts/multiple_instances.script'
--- load_test_scripts/multiple_instances.script	1970-01-01 00:00:00 +0000
+++ load_test_scripts/multiple_instances.script	2011-02-10 01:00:32 +0000
@@ -0,0 +1,19 @@
+{
+    "comment": "Connect to multiple loggerhead instances and make requests on each. One should be on :8080, one should be on :8081. Multiple threads will place requests on each.",
+    "parameters": {"base_url": "http://localhost"},
+    "requests": [
+        {"thread": "1", "relpath": ":8080/changes"},
+        {"thread": "2", "relpath": ":8080/files"},
+        {"thread": "3", "relpath": ":8081/files"},
+        {"thread": "4", "relpath": ":8081/changes"},
+        {"thread": "1", "relpath": ":8080/changes"},
+        {"thread": "2", "relpath": ":8080/files"},
+        {"thread": "3", "relpath": ":8081/files"},
+        {"thread": "4", "relpath": ":8081/changes"},
+        {"thread": "1", "relpath": ":8080/changes"},
+        {"thread": "2", "relpath": ":8080/files"},
+        {"thread": "3", "relpath": ":8081/files"},
+        {"thread": "4", "relpath": ":8081/changes"}
+    ]
+}
+

=== renamed file 'load_test.script' => 'load_test_scripts/simple.script'
=== modified file 'loggerhead/load_test.py'
--- loggerhead/load_test.py	2011-02-10 00:49:06 +0000
+++ loggerhead/load_test.py	2011-02-10 01:00:32 +0000
@@ -78,6 +78,11 @@
     urlutils,
     )
 
+# This code will be doing multi-threaded requests against bzrlib.transport
+# code. We want to make sure to load everything ahead of time, so we don't get
+# lazy-import failures
+_ = transport.get_transport('http://example.com')
+
 
 class RequestDescription(object):
     """Describes info about a request."""

